petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCASMGetLocalSubdomains

Gets the local subdomains (for this processor only) for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMGetLocalSubdomains(PC pc,PetscInt *n,IS *is[],IS *is_local[])

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameters

| n | - the number of subdomains for this processor (default value = 1)
| is | - the index sets that define the subdomains for this processor
| is_local | - the index sets that define the local part of the subdomains for this processor (can be NULL)

### Notes

The IS numbering is in the parallel, global numbering of the vector.

### Keywords

PC, ASM, set, local, subdomains, additive Schwarz

### See Also

PCASMSetTotalSubdomains(), PCASMSetOverlap(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubmatrices()

### Level

advanced

### Location

src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages